Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Common DOM API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.dom.css
Interface Rect

    public interface Rect

The `Rect` interface is used to represent any rect value. This interface reflects the values in the underlying style property. Hence, modifications made to the `CSSPrimitiveValue` objects modify the style property.

See also the Document Object Model (DOM) Level 2 Style Specification.

Since:
  DOM Level 2

Method Summary
`CSSPrimitiveValue` | `getBottom()` This attribute is used for the bottom of the rect.
`CSSPrimitiveValue` | `getLeft()` This attribute is used for the left of the rect.
`CSSPrimitiveValue` | `getRight()` This attribute is used for the right of the rect.
`CSSPrimitiveValue` | `getTop()` This attribute is used for the top of the rect.

Method Detail

### getTop

    CSSPrimitiveValue getTop()

  This attribute is used for the top of the rect.

### getRight

    CSSPrimitiveValue getRight()

  This attribute is used for the right of the rect.

### getBottom

    CSSPrimitiveValue getBottom()

  This attribute is used for the bottom of the rect.

### getLeft

    CSSPrimitiveValue getLeft()

  This attribute is used for the left of the rect.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Common DOM API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 2004 Sun Microsystems, Inc. 4150 Network Circle
Santa Clara, California, 95054, U.S.A. All Rights Reserved.